# ChangeLog for media-sound/audacity
# Copyright 2002-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/audacity/ChangeLog,v 1.54 2006/12/14 20:31:14 aballier Exp $

  14 Dec 2006; Alexis Ballier <aballier@gentoo.org>
  +files/audacity-1.3.2-libnyquistp.patch, audacity-1.3.2-r1.ebuild:
  Fix to allow parallel build and use CC variable rather than cc, thanks to
  Prakash Punnoor <prakashp@arcor.de>, bug #155495

  11 Dec 2006; Alexis Ballier <aballier@gentoo.org>
  +files/audacity-1.3.2+flac-1.1.3.patch, audacity-1.3.2.ebuild,
  audacity-1.3.2-r1.ebuild:
  Patch from Josh Coalson to be compatible with flac 1.1.3, pinning dep to
  1.1.2 for non patched version

*audacity-1.3.2-r1 (16 Nov 2006)

  16 Nov 2006; MATSUU Takuto <matsuu@gentoo.org>
  +files/audacity-1.3.2-disable-optimization.patch,
  +audacity-1.3.2-r1.ebuild:
  Fixed compilation failure, bug #154734.

  10 Nov 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  audacity-1.3.2.ebuild:
  Unbreak the previous fix, need to run autoreconf in soundtouch directory
  manually because it's not in AC_CONFIG_SUBDIRS.

  05 Nov 2006; MATSUU Takuto <matsuu@gentoo.org>
  +files/audacity-1.3.2-no-msse.patch, audacity-1.3.2.ebuild:
  Fixed to build on ppc, bug #153749.

*audacity-1.3.2 (31 Oct 2006)

  31 Oct 2006; MATSUU Takuto <matsuu@gentoo.org>
  +files/audacity-1.3.2-gentoo.patch, audacity-1.3.0b.ebuild,
  +audacity-1.3.2.ebuild:
  Version bumped.
  Fixed locales issue, bug #147980.

  06 Sep 2006; Joseph Jezak <josejx@gentoo.org> audacity-1.3.0b.ebuild:
  Marked ppc stable for bug #145033.

  04 Sep 2006; MATSUU Takuto <matsuu@gentoo.org> -files/audacity.desktop,
  -audacity-1.2.1.ebuild, -audacity-1.2.3.ebuild,
  -audacity-1.2.4b-r1.ebuild:
  Removed old versions

  04 Sep 2006; Saleem Abdulrasool <compnerd@gentoo.org>
  audacity-1.3.0b.ebuild:
  stable on x86 (bug #145033)

  03 Sep 2006; Jason Wever <weeve@gentoo.org> audacity-1.3.0b.ebuild:
  Stable on SPARC wrt bug #145033.

  02 Sep 2006; Markus Rothe <corsair@gentoo.org> audacity-1.3.0b.ebuild:
  Stable on ppc64; bug #145033

  06 Aug 2006; MATSUU Takuto <matsuu@gentoo.org>
  +files/audacity-1.3.0b-x86.patch, audacity-1.2.4b-r1.ebuild,
  audacity-1.3.0b.ebuild:
  Added RESTICT="test", Bug 100067.
  Fixed compilation on x86, Bug 139936.

*audacity-1.3.0b (06 Jun 2006)

  06 Jun 2006; MATSUU Takuto <matsuu@gentoo.org> -audacity-1.2.2.ebuild,
  -audacity-1.2.3-r1.ebuild, -audacity-1.2.4b.ebuild,
  Version bumped, Bug 124120.
  Removed old versions.

  27 Feb 2006; MATSUU Takuto <matsuu@gentoo.org> audacity-1.2.4b-r1.ebuild:
  Added epatch ${FILESDIR}/${PN}-1.2.3-x86.patch, Bug 121634.

*audacity-1.2.4b-r1 (03 Jan 2006)

  03 Jan 2006; MATSUU Takuto <matsuu@gentoo.org> +audacity-1.2.4b-r1.ebuild:
  Removed some use flag. Bug 113948.
  Clean up ebuild.

*audacity-1.2.4b (01 Jan 2006)

  01 Jan 2006; MATSUU Takuto <matsuu@gentoo.org>
  +files/audacity-1.2.3-gcc41.patch, +audacity-1.2.4b.ebuild:
  Version Bumped, Bug 113948.
  Restricted to wxGTK-2.4* with wxgtk1, Bug 100741.
  Fixed gcc-4.1 compile issue, Bug 113754.
  Fixed docs install issue, Bug 116615.
  Removed gtk2 USE flag, Bug 106560.
  Added ladspa, mp3 and soundtouch USE flag.

  26 Dec 2005; Luca Barbato <lu_zero@gentoo.org> audacity-1.2.1.ebuild,
  audacity-1.2.2.ebuild, audacity-1.2.3.ebuild, audacity-1.2.3-r1.ebuild:
  oggvorbis Cleanup

  18 Dec 2005; Diego Pettenò <flameeyes@gentoo.org>
  audacity-1.2.3-r1.ebuild:
  Remove eventual stray applnk desktop file, see bug #111204.

  17 Sep 2005; Mark Loeser <halcy0n@gentoo.org>
  +files/audacity-1.2.3-x86.patch, audacity-1.2.3-r1.ebuild:
  Thanks to basic <basic AT mozdev DOT org> for the patch to fix compilation on
  x86.  Marking ~x86 for testing. bug #73248

  15 May 2005; Diego Pettenò <flameeyes@gentoo.org> audacity-1.2.1.ebuild,
  audacity-1.2.2.ebuild, audacity-1.2.3.ebuild, audacity-1.2.3-r1.ebuild:
  Fixed dependency ok wxGTK 2.4 slot as per bug #92730.

*audacity-1.2.3-r1 (15 Apr 2005)

  15 Apr 2005; Jan Brinkmann <luckyduck@gentoo.org> +audacity-1.2.3-r1.ebuild:
  applied cleanup patch which was provided by Diego Pettenò
  <dgp85@users.sourceforge.net>, fixes #74224 and #83301

  05 Mar 2005; Markus Rothe <corsair@gentoo.org> audacity-1.2.3.ebuild:
  Stable on ppc64

  13 Jan 2005; Markus Rothe <corsair@gentoo.org> audacity-1.2.3.ebuild:
  Added ~ppc64 to KEYWORDS

  18 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  audacity-1.2.3.ebuild:
  Stable sparc.

  11 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  audacity-1.2.3.ebuild:
  -x86 because of bad assembly.

*audacity-1.2.3 (29 Nov 2004)

  29 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +audacity-1.2.3.ebuild:
  Version bump closes bug #72290.

*audacity-1.2.2 (31 Oct 2004)

  31 Oct 2004; Jeremy Huddleston <eradicator@gentoo.org>
  -files/audacity-1.2.0-STTypes.patch, -audacity-1.1.3.ebuild,
  -audacity-1.2.0-r1.ebuild, +audacity-1.2.2.ebuild:
  Version bump. Only installing .desktop in applications. Installing audacity
  icon to close bug #59611.

  01 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  audacity-1.2.0-r1.ebuild, audacity-1.2.1.ebuild:
  1.2.0 is -amd64, and added a note not to remove 1.2.1 from ~amd64 because of
  xfce4 problem (bug #54331).

*audacity-1.2.1 (10 May 2004)

  10 May 2004; Jeremy Huddleston <eradicator@gentoo.org>
  audacity-1.2.1.ebuild:
  Version bump.

  06 May 2004; Jeremy Huddleston <eradicator@gentoo.org>
  audacity-1.2.0-r1.ebuild:
  Added to ~sparc.

  06 May 2004; Jeremy Huddleston <eradicator@gentoo.org>
  audacity-1.2.0-r1.ebuild, files/audacity-1.2.0-STTypes.patch:
  Patch added to fix bug #49417.

  03 May 2004; Jeremy Huddleston <eradicator@gentoo.org>
  audacity-1.1.3.ebuild, audacity-1.2.0-r1.ebuild:
  Changing mad dep to madplay.

*audacity-1.2.0-r1 (04 Apr 2004)

  04 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
  audacity-1.2.0-r1.ebuild, audacity-1.2.0.ebuild, files/audacity.desktop:
  Stable on x86.  Revbumping to include the .desktop.

  13 Mar 2004; Jeremy Huddleston <eradicator@gentoo.org>
  audacity-1.2.0.ebuild:
  readded wxgtk unicode check...

  04 Mar 2004; David Holm <dholm@gentoo.org> audacity-1.2.0.ebuild:
  Added to ~ppc.

*audacity-1.2.0 (03 Mar 2004)

  03 Mar 2004; Jeremy Huddleston <eradicator@gentoo.org>
  audacity-1.2.0.ebuild:
  Version bump.  Bug #43577. 1.2 works fine with wxGTK unicode.

*audacity-1.2.0_pre4 (28 Feb 2004)

  28 Feb 2004; Jeremy Huddleston <eradicator@gentoo.org>
  audacity-1.2.0_pre4.ebuild:
  Version bump.

*audacity-1.2.0_pre3 (07 Feb 2004)

  07 Feb 2004; Jeremy Huddleston <eradicator@gentoo.org>
  audacity-1.1.3.ebuild, audacity-1.2.0_pre3.ebuild, metadata.xml,
  files/basecfg-1.1.1:
  Version bump (Bug #35658). Fixed fftw DEP (Bug #34010). Updated ebuild to
  correctly use USE flags. Now die only if wxGTK was compiled with unicode
  support (Bug #32753).

  19 Jul 2003; Nick Hadaway <raker@gentoo.org>:
  Reverted to previous version

*audacity-1.1.3-r1 (17 Jul 2003)

  17 Jul 2003; Nick Hadaway <raker@gentoo.org> audacity-1.1.3-r1.ebuild:
  Changed media-sound/mad dep to media-libs/{libmad,libid3tag}

*audacity-1.1.3 (12 Apr 2003)

  12 Apr 2003; jje audacity-1.1.3.ebuild:
  Version bump. Cleaned up ebuild from previous version.

*audacity-1.1.1-r1 (30 Jan 2003)

  17 Feb 2003; Nick Hadaway <raker@gentoo.org> audacity-1.1.1-r1.ebuild :
  Added a hook so gtk2 in USE causes the compile to stop and warn
  the user of the incompatibility.

  12 Feb 2003; Nick Hadaway <raker@gentoo.org> audacity-1.1.1-r1.ebuild,
  files/basecfg-1.1.1 :
  Added a very basic configuration so when building against wxGTK,
  starting it doesn't cause a segfault.

  04 Feb 2003; Nick Hadaway <raker@gentoo.org> audacity-1.1.1-r1.ebuild :
  I have now tested audacity with wxGTK-2.4.0 and it works great.

  30 Jan 2003; Nick Hadaway <raker@gentoo.org> audacity-1.1.1-r1.ebuild,
  files/digest-audacity-1.1.1-r1 :
  Updated ebuild to depend on wxGTK-2.2.9* as wxGTK-2.4.0 causes
  a segfault on startup.  Updated to the -3 audacity tarball.
  Added a system dependancy on >=libsndfile-1.0.0.  CVS should
  be compatible with =wxGTK-2.4* real soon now. :)  I'm not motivated
  to do an audacity-cvs build yet as it has been very unstable.
  Once I start seeing the code base become more stable I may consider
  it.

*audacity-1.1.1 (15 Jan 2003)

  15 Jan 2003; Nick Hadaway <raker@gentoo.org> audacity-1.1.1.ebuild, 
  files/digest-audacity-1.1.1, files/mono_mp3_export.patch :
  Version bump.  Marked stable as it depends on wxGTK-2.4.x which
  has also been released as stable.  Thanks to the anonymous
  "Gentoo User" on bug #13978 for the mono patch.

*audacity-1.1.0 (10 Nov 2002)

  27 Mar 2003; Alastair Tse <liquidx@gentoo.org> audacity-1.0.0-r1.ebuild,
  audacity-1.0.0-r1.ebuild, audacity-1.0.0-r2.ebuild,
  audacity-1.0.0-r2.ebuild, audacity-1.0.0.ebuild, audacity-1.0.0.ebuild,
  audacity-1.1.0.ebuild, audacity-1.1.0.ebuild:
  clean up old ebuilds

  10 Nov 2002; Nick Hadaway <raker@gentoo.org> audacity-1.1.0.ebuild :
  Updated ebuild.

*audacity-1.0.0-r2 (26 Aug 2002)

  26 Aug 2002; Spider <spider@gentoo.org> audacity-1.0.0-r2.ebuild :
  removed id3lib_pre2 in the ebuild in favour of the final + patches 
  for it to work with gcc 3.2. now it should emerge clean on gcc 3.2
  systems.  masked for testing on gcc 2.95.3

*audacity-1.0.0-r1 (09 Aug 2002)

  22 Aug 2002; Nick Hadaway <raker@gentoo.org> audacity-1.0.0-r1.ebuild :
  Updated dependancies to include app-arch/zip

  09 Aug 2002; Nick Hadaway <raker@gentoo.org> audacity-1.0.0-r1.ebuild,
  files/digest-audacity-1.0.0-r1, files/audacity-1.0.0-gcc31.patch :
  Updated ebuild with a patch to allow >=gcc3 systems to compile properly.

*audacity-1.0.0 (21 Jun 2002)

  21 Jun 2002; Ryan Phillips <rphillips@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
